### codeanticode.glgraphics

# Interface GLConstants

`public interface GLConstants`

This interface class defines constants used in the glgraphics package.

  ## Nested Class Summary
  `class` | `GLConstants.ClickAction`
  `class` | `GLConstants.KeyboardAction`
  `class` | `GLConstants.MouseAction`
  `class` | `GLConstants.MouseHandler`

  ## Field Summary
  `static int` | `BACKGROUND_ALPHA`
  `static int` | `COLOR` This constant identifies the texture internal format GL_RGBA: 4 color components of 8 bits each, identical as ARGB.
  `static int` | `DOUBLE` This constant identifies the texture internal format GL_RGBA32F_ARB: 4 float compontents of 32 bits each.
  `static int` | `FLOAT` This constant identifies the texture internal format GL_RGBA16F_ARB: 4 float compontents of 16 bits each.
  `static String` | `GLGRAPHICS` This constant identifies the GLGraphics renderer.
  `static int` | `GL_DEPTH24_STENCIL8`
  `static int` | `GL_DEPTH_STENCIL`
  `static int` | `GL_UNSIGNED_INT_24_8`
  `static int` | `LINEAR` This constant identifies the linear texture filter .
  `static int` | `LINEAR_MIPMAP_LINEAR` This constant identifies the linear/linear function to build mipmaps .
  `static int` | `LINEAR_MIPMAP_NEAREST` This constant identifies the linear/nearest function to build mipmaps .
  `static int` | `LINE_LOOP`
  `static int` | `LINE_STRIP`
  `static int` | `NEAREST` This constant identifies the nearest texture filter .
  `static int` | `NEAREST_MIPMAP_LINEAR` This constant identifies the nearest/linear function to build mipmaps .
  `static int` | `NEAREST_MIPMAP_NEAREST` This constant identifies the nearest/nearest function to build mipmaps .
  `static int` | `POINT_SPRITES`
  `static int` | `TEX_BYTE` This constant identifies an unsigned byte texture buffer.
  `static int` | `TEX_FILTER_PARAM_FLOAT`
  `static int` | `TEX_FILTER_PARAM_INT` These constants identifies the texture parameter types.
  `static int` | `TEX_FILTER_PARAM_MAT2`
  `static int` | `TEX_FILTER_PARAM_MAT3`
  `static int` | `TEX_FILTER_PARAM_MAT4`
  `static int` | `TEX_FILTER_PARAM_VEC2`
  `static int` | `TEX_FILTER_PARAM_VEC3`
  `static int` | `TEX_FILTER_PARAM_VEC4`
  `static int` | `TEX_INT` This constant identifies an integer texture buffer.
  `static int` | `TEX_NORM` This constant identifies the texture target GL_TEXTURE_2D, that is, textures with normalized coordinates.
  `static int` | `TEX_ONEDIM` This constant identifies the texture target GL_TEXTURE_1D, that is, one-dimensional textures.
  `static int` | `TEX_RECT` This constant identifies the texture target GL_TEXTURE_RECTANGLE, that is, textures with non-normalized coordinates

## Field Details

### BACKGROUND_ALPHA

    public static final int BACKGROUND_ALPHA

> Field Value:
>   16384

### COLOR

    public static final int COLOR

> This constant identifies the texture internal format GL_RGBA: 4 color components of 8 bits each, identical as ARGB.
> Field Value:
>   2

### DOUBLE

    public static final int DOUBLE

> This constant identifies the texture internal format GL_RGBA32F_ARB: 4 float compontents of 32 bits each.
> Field Value:
>   7

### FLOAT

    public static final int FLOAT

> This constant identifies the texture internal format GL_RGBA16F_ARB: 4 float compontents of 16 bits each.
> Field Value:
>   6

### GLGRAPHICS

    public static final String GLGRAPHICS

> This constant identifies the GLGraphics renderer.

### GL_DEPTH24_STENCIL8

    public static final int GL_DEPTH24_STENCIL8

> Field Value:
>   35056

### GL_DEPTH_STENCIL

    public static final int GL_DEPTH_STENCIL

> Field Value:
>   34041

### GL_UNSIGNED_INT_24_8

    public static final int GL_UNSIGNED_INT_24_8

> Field Value:
>   34042

### LINEAR

    public static final int LINEAR

> This constant identifies the linear texture filter .
> Field Value:
>   1

### LINEAR_MIPMAP_LINEAR

    public static final int LINEAR_MIPMAP_LINEAR

> This constant identifies the linear/linear function to build mipmaps .
> Field Value:
>   5

### LINEAR_MIPMAP_NEAREST

    public static final int LINEAR_MIPMAP_NEAREST

> This constant identifies the linear/nearest function to build mipmaps .
> Field Value:
>   3

### LINE_LOOP

    public static final int LINE_LOOP

> Field Value:
>   1

### LINE_STRIP

    public static final int LINE_STRIP

> Field Value:
>   0

### NEAREST

    public static final int NEAREST

> This constant identifies the nearest texture filter .
> Field Value:
>   0

### NEAREST_MIPMAP_LINEAR

    public static final int NEAREST_MIPMAP_LINEAR

> This constant identifies the nearest/linear function to build mipmaps .
> Field Value:
>   4

### NEAREST_MIPMAP_NEAREST

    public static final int NEAREST_MIPMAP_NEAREST

> This constant identifies the nearest/nearest function to build mipmaps .
> Field Value:
>   2

### POINT_SPRITES

    public static final int POINT_SPRITES

> Field Value:
>   3

### TEX_BYTE

    public static final int TEX_BYTE

> This constant identifies an unsigned byte texture buffer.
> Field Value:
>   1

### TEX_FILTER_PARAM_FLOAT

    public static final int TEX_FILTER_PARAM_FLOAT

> Field Value:
>   1

### TEX_FILTER_PARAM_INT

    public static final int TEX_FILTER_PARAM_INT

> These constants identifies the texture parameter types.
> Field Value:
>   0

### TEX_FILTER_PARAM_MAT2

    public static final int TEX_FILTER_PARAM_MAT2

> Field Value:
>   5

### TEX_FILTER_PARAM_MAT3

    public static final int TEX_FILTER_PARAM_MAT3

> Field Value:
>   6

### TEX_FILTER_PARAM_MAT4

    public static final int TEX_FILTER_PARAM_MAT4

> Field Value:
>   7

### TEX_FILTER_PARAM_VEC2

    public static final int TEX_FILTER_PARAM_VEC2

> Field Value:
>   2

### TEX_FILTER_PARAM_VEC3

    public static final int TEX_FILTER_PARAM_VEC3

> Field Value:
>   3

### TEX_FILTER_PARAM_VEC4

    public static final int TEX_FILTER_PARAM_VEC4

> Field Value:
>   4

### TEX_INT

    public static final int TEX_INT

> This constant identifies an integer texture buffer.
> Field Value:
>   0

### TEX_NORM

    public static final int TEX_NORM

> This constant identifies the texture target GL_TEXTURE_2D, that is, textures with normalized coordinates.
> Field Value:
>   0

### TEX_ONEDIM

    public static final int TEX_ONEDIM

> This constant identifies the texture target GL_TEXTURE_1D, that is, one-dimensional textures.
> Field Value:
>   2

### TEX_RECT

    public static final int TEX_RECT

> This constant identifies the texture target GL_TEXTURE_RECTANGLE, that is, textures with non-normalized coordinates
> Field Value:
>   1

processing library glgraphics by Andres Colubri. (c) 2008